#include <stdio.h>
#include <messages.h>

const char *HEADER = "
package org.zensimulation.robotfindskitten;
public class Messages
{
    public static final String messages[] = {
";

const char *FOOTER = "
    };
}";

void messageOut(FILE *f, char *message)
{
    char *c = message;
    int charInt;
    fprintf(f, "\t\"");
    for (; *c; c++)
    {
        if (*c != '"')
        {
            charInt = *c;
            fputc(*c, f);
        } else {
            fprintf(f, "\\\"");
        }
    }
    fprintf(f, "\"");
}

int main(int argc, char *argv[])
{
    int i;
    int max = MESSAGES - 1;
    FILE *f;
    f = fopen("../Messages.java", "wt");
    fprintf(f, "%s", HEADER);
    for (i=0; i <= max; i++)
    {   
        messageOut(f, messages[i]);
        if (i != max)
            fprintf(f, ",\n");
    }
    fprintf(f, "%s", FOOTER);
    fclose(f);
    return 0;
}


